Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# OpenChallengeSymbols Class Reference

`#include <OpenChallengeSymbols.h>`

Inheritance diagram for OpenChallengeSymbols:

[legend]
Collaboration diagram for OpenChallengeSymbols:

[legend]
List of all members.

## Public Member Functions
| OpenChallengeSymbols (const BehaviorControlInterfaces &interfaces)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
void | update ()
| updates the symbols
bool | guideDogMoveForward ()
bool | blindDogMoveForward ()
bool | guideDogTellsBlindDogTurn ()
bool | blindDogTurn ()

## Constructor & Destructor Documentation

OpenChallengeSymbols::OpenChallengeSymbols | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 13 of file OpenChallengeSymbols.cpp.

## Member Function Documentation

void OpenChallengeSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 20 of file OpenChallengeSymbols.cpp. References blindDogMoveForward(), blindDogTurn(), guideDogMoveForward(), guideDogTellsBlindDogTurn(), and Xabsl2Symbols::registerBooleanInputSymbol(). Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void OpenChallengeSymbols::update | ( |  | ) |

| updates the symbols Definition at line 42 of file OpenChallengeSymbols.cpp. Referenced by GT2005BehaviorControl::execute().

bool OpenChallengeSymbols::guideDogMoveForward | ( |  | ) |

| Definition at line 47 of file OpenChallengeSymbols.cpp. References BallModel::ballWasSeen, BallModel::getKnownBallState(), BallModel::getKnownPosition(), PlayerPoseCollection::getOwnPlayerPose(), PlayerPose::getPose(), idText, BehaviorTeamMessage::message, PlayerPoseCollection::numberOfOwnPlayers, OUTPUT, BallState::positionField, Pose2D::translation, Vector2< V >::x, and Vector2< V >::y. Referenced by registerSymbols().

Here is the call graph for this function:

bool OpenChallengeSymbols::blindDogMoveForward | ( |  | ) |

| Definition at line 76 of file OpenChallengeSymbols.cpp. References PlayerPoseCollection::numberOfOwnPlayers. Referenced by registerSymbols().

bool OpenChallengeSymbols::guideDogTellsBlindDogTurn | ( |  | ) |

| Definition at line 96 of file OpenChallengeSymbols.cpp. References BallModel::getKnownPosition(), PlayerPoseCollection::getOwnPlayerPose(), PlayerPose::getPose(), BehaviorTeamMessage::message, PlayerPoseCollection::numberOfOwnPlayers, Pose2D::rotation, Pose2D::translation, Vector2< V >::x, and Vector2< V >::y. Referenced by registerSymbols().

Here is the call graph for this function:

bool OpenChallengeSymbols::blindDogTurn | ( |  | ) |

| Definition at line 115 of file OpenChallengeSymbols.cpp. References idText, PlayerPoseCollection::numberOfOwnPlayers, and OUTPUT. Referenced by registerSymbols().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005Symbols/OpenChallengeSymbols.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005Symbols/OpenChallengeSymbols.cpp